# API

- [Creator Storefront API](https://qubic.gitbook.io/docs/api/creator-storefront-api.md)
- [Creator Admin API](https://qubic.gitbook.io/docs/api/creator-admin-api.md)
- [鑄造 NFT](https://qubic.gitbook.io/docs/api/creator-admin-api/mint-nft.md)
- [更新 Metadata](https://qubic.gitbook.io/docs/api/creator-admin-api/update-metadata.md)
- [取得 Ticket](https://qubic.gitbook.io/docs/api/creator-admin-api/qu-de-ticket.md)
- [如何設置預售選項](https://qubic.gitbook.io/docs/api/creator-admin-api/ru-he-she-zhi-yu-shou-xuan-xiang.md)
- [Pass Admin API](https://qubic.gitbook.io/docs/api/pass-admin-api.md)
- [驗證 NFT 持有者](https://qubic.gitbook.io/docs/api/pass-admin-api/verify-nft-holder.md): 透過user query去查詢在一個user底下的NFT持有狀況。當使用者的NFT過多超過一個分頁，可以把此次回傳的 pageInfo.endCursor 當成 after 傳入就可以看到下一個分頁資料。
- [取得智能合約中的所有 NFT](https://qubic.gitbook.io/docs/api/pass-admin-api/get-all-nfts.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://qubic.gitbook.io/docs/api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
